/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.text;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class APEXApertureFormatTest 
  {
    private APEXApertureFormat format;
    
    @Before
    public void setupFixture()
      {
        format = new APEXApertureFormat();
      }  

    @After
    public void tearDownFixture() 
      {
        format = null;
      }

    @Test
    public void format() 
      {
        assertEquals("f/2.8 (APEX = 3)", format.format(2.970854));
        assertEquals("f/3.2 (APEX = 3.4)", format.format(3.356144));
        assertEquals("f/3.5 (APEX = 3.6)", format.format(3.61471));
        assertEquals("f/4 (APEX = 4)", format.format(4.0));
        assertEquals("f/4.5 (APEX = 4.3)", format.format(4.33985));
        assertEquals("f/5 (APEX = 4.6)", format.format(4.643856));
        assertEquals("f/5.6 (APEX = 5)", format.format(4.970854));
        assertEquals("f/6.3 (APEX = 5.3)", format.format(5.310704));
        assertEquals("f/7.1 (APEX = 5.7)", format.format(5.655638));
//        assertEquals("f/8 (APEX = 6)", format.format(6.0));
//        assertEquals("f/9 (APEX = 6.3)", format.format(6.3));
        assertEquals("f/10 (APEX = 6.6)", format.format(6.643856));
        assertEquals("f/11 (APEX = 6.9)", format.format(6.918863));
        assertEquals("f/13 (APEX = 7.4)", format.format(7.400879));
        assertEquals("f/14 (APEX = 7.6)", format.format(7.61471));
        assertEquals("f/16 (APEX = 8)", format.format(8.0));
        assertEquals("f/18 (APEX = 8.3)", format.format(8.33985));
        assertEquals("f/32 (APEX = 10)", format.format(10.0));
//        assertEquals("f/22 (APEX = 8.6)", format.format(8.6));
//        assertEquals("f/28 (APEX = 9.0)", format.format(9.0));
//        assertEquals("f/32 (APEX = 9.3)", format.format(9.3));
      }

    @Test
    public void parse() 
      {
        try
          {
            format.parse("xxx");
            fail("UnsupportedOperationException expected");
          }
        catch (UnsupportedOperationException e)
          {
            // ok
          }
      }
  }