/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.text;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class APEXShutterFormatTest 
  {
    private APEXShutterFormat format;
    
    @Before
    public void setupFixture()
      {
        format = new APEXShutterFormat();
      }  

    @After
    public void tearDownFixture() 
      {
        format = null;
      }

    @Test
    public void format() 
      {
        assertEquals("1/80 sec (APEX = 6.3)", format.format(6.321928));
        assertEquals("1/125 sec (APEX = 7)", format.format(6.965784));
        assertEquals("1/160 sec (APEX = 7.3)", format.format(7.321928));
        assertEquals("1/250 sec (APEX = 8)", format.format(7.965784));
        assertEquals("1/320 sec (APEX = 8.3)", format.format(8.321928));
        assertEquals("1/500 sec (APEX = 9)", format.format(8.965784));
      }

    @Test
    public void parse() 
      {
        try
          {
            format.parse("xxx");
            fail("UnsupportedOperationException expected");
          }
        catch (UnsupportedOperationException e)
          {
            // ok
          }
      }
  }