/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.text;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class FocalFormatTest 
  {
    private FocalFormat format;
    
    @Before
    public void setupFixture()
      {
        format = new FocalFormat();
      }  

    @After
    public void tearDownFixture() 
      {
        format = null;
      }

    @Test
    public void format() 
      {
        assertEquals("10.5 mm", format.format(10.5));
        assertEquals("12 mm", format.format(12.0));
        assertEquals("13 mm", format.format(13.0));
        assertEquals("14 mm", format.format(14.0));
        assertEquals("16 mm", format.format(16.0));
        assertEquals("17 mm", format.format(17.0));
        assertEquals("18 mm", format.format(18.0));
        assertEquals("19 mm", format.format(19.0));
        assertEquals("20 mm", format.format(20.0));
        assertEquals("22 mm", format.format(22.0));
        assertEquals("24 mm", format.format(24.0));
        assertEquals("35 mm", format.format(35.0));
        assertEquals("85 mm", format.format(85.0));
        assertEquals("180 mm", format.format(180.0));
        assertEquals("300 mm", format.format(300.0));
        assertEquals("600 mm", format.format(600.0));
      }

    @Test
    public void testFormatWithInteger() 
      {
        assertEquals("10 mm", format.format(10));
        assertEquals("12 mm", format.format(12));
        assertEquals("13 mm", format.format(13));
        assertEquals("14 mm", format.format(14));
        assertEquals("16 mm", format.format(16));
        assertEquals("17 mm", format.format(17));
        assertEquals("18 mm", format.format(18));
        assertEquals("19 mm", format.format(19));
        assertEquals("20 mm", format.format(20));
        assertEquals("22 mm", format.format(22));
        assertEquals("24 mm", format.format(24));
        assertEquals("35 mm", format.format(35));
        assertEquals("85 mm", format.format(85));
        assertEquals("180 mm", format.format(180));
        assertEquals("300 mm", format.format(300));
        assertEquals("600 mm", format.format(600));
      }

    @Test
    public void testParse() 
      {
        try
          {
            format.parse("xxx");
            fail("UnsupportedOperationException expected");
          }
        catch (UnsupportedOperationException e)
          {
            // ok
          }
      }
  }