/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.text;

import org.junit.After;
import org.junit.Before;
import org.junit.Test;
import static org.junit.Assert.*;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class ISOFormatTest 
  {
    private ISOFormat format;
    
    @Before
    public void setupFixture()
      {
        format = new ISOFormat();
      }  

    @After
    public void tearDownFixture() 
      {
        format = null;
      }

    @Test
    public void format() 
      {
        assertEquals("ISO 100", format.format(100));
        assertEquals("ISO 125", format.format(125));
        assertEquals("ISO 140", format.format(140));
        assertEquals("ISO 160", format.format(160));
        assertEquals("ISO 180", format.format(180));
        
        assertEquals("ISO 200", format.format(200));
        assertEquals("ISO 250", format.format(250));
        assertEquals("ISO 280", format.format(280));
        assertEquals("ISO 320", format.format(320));
        assertEquals("ISO 360", format.format(360));
        
        assertEquals("ISO 400", format.format(400));
        assertEquals("ISO 500", format.format(500));
        assertEquals("ISO 560", format.format(560));
        assertEquals("ISO 640", format.format(640));
        assertEquals("ISO 720", format.format(720));
        
        assertEquals("ISO 800", format.format(800));
        assertEquals("ISO 1000", format.format(1000));
        assertEquals("ISO 1100", format.format(1100));
        assertEquals("ISO 1300", format.format(1300));
        assertEquals("ISO 1400", format.format(1400));
        
        assertEquals("ISO 1600", format.format(1600));
        assertEquals("ISO 2000", format.format(2000));
        assertEquals("ISO 2200", format.format(2200));
        assertEquals("ISO 2600", format.format(2600));
        assertEquals("ISO 2900", format.format(2900));
        
        assertEquals("ISO 3200", format.format(3200));
        assertEquals("ISO 4000", format.format(4000));
        assertEquals("ISO 4500", format.format(4500));
        assertEquals("ISO 5100", format.format(5100));
        assertEquals("ISO 5800", format.format(5800));
      }

    @Test
    public void parse() 
      {
        try
          {
            format.parse("xxx");
            fail("UnsupportedOperationException expected");
          }
        catch (UnsupportedOperationException e)
          {
            // ok
          }
      }
  }