/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package it.tidalwave.metadata.text;

import org.junit.Test;
import static org.junit.Assert.*;

/**
 *
 * @author fritz
 */
public class NameCanonicalizerTest 
  {
    @Test
    public void testCanonicalCameraModel() 
      {
        assertEquals("DC 210", NameCanonicalizer.canonicalCameraModel("DC210 Zoom (V05.00)"));
        assertEquals("DCR PC110E", NameCanonicalizer.canonicalCameraModel("DCR-PC110E"));
        assertEquals("Digital Mavica", NameCanonicalizer.canonicalCameraModel("DIGITALMAVICA"));
        assertEquals("DS 7", NameCanonicalizer.canonicalCameraModel("DS-7"));
        assertEquals("D700", NameCanonicalizer.canonicalCameraModel("DSC-D700"));
        assertEquals("F828", NameCanonicalizer.canonicalCameraModel("DSC-F828"));
        assertEquals("DX 10", NameCanonicalizer.canonicalCameraModel("DX-10"));
        assertEquals("DX 5", NameCanonicalizer.canonicalCameraModel("DX-5"));
        assertEquals("DiMAGE 7", NameCanonicalizer.canonicalCameraModel("DiMAGE 7"));
        assertEquals("DiMAGE 7Hi", NameCanonicalizer.canonicalCameraModel("DiMAGE 7Hi"));
        assertEquals("DiMAGE A2", NameCanonicalizer.canonicalCameraModel("DiMAGE A2"));
        assertEquals("DiMAGE S404", NameCanonicalizer.canonicalCameraModel("DiMAGE S404"));
        assertEquals("DiMAGE X", NameCanonicalizer.canonicalCameraModel("DiMAGE X"));
        assertEquals("DiMage EX", NameCanonicalizer.canonicalCameraModel("Dimage EX"));
        assertEquals("E 1", NameCanonicalizer.canonicalCameraModel("E-1"));
        assertEquals("E 10", NameCanonicalizer.canonicalCameraModel("E-10"));
        assertEquals("CoolPix 5400", NameCanonicalizer.canonicalCameraModel("E5400"));
        assertEquals("CoolPix 5700", NameCanonicalizer.canonicalCameraModel("E5700"));
        assertEquals("CoolPix 8700", NameCanonicalizer.canonicalCameraModel("E8700"));
        assertEquals("CoolPix 8800", NameCanonicalizer.canonicalCameraModel("E8800"));
        assertEquals("CoolPix 900", NameCanonicalizer.canonicalCameraModel("E900"));
        assertEquals("CoolPix 950", NameCanonicalizer.canonicalCameraModel("E950"));
        assertEquals("CoolPix 990", NameCanonicalizer.canonicalCameraModel("E990"));
        assertEquals("CoolPix 995", NameCanonicalizer.canonicalCameraModel("E995"));
        assertEquals("EX S1", NameCanonicalizer.canonicalCameraModel("EX-S1"));
        assertEquals("FC S3", NameCanonicalizer.canonicalCameraModel("FC-S3"));
        assertEquals("FinePix 1400", NameCanonicalizer.canonicalCameraModel("FinePix1400Zoom"));
        assertEquals("FinePix 40i", NameCanonicalizer.canonicalCameraModel("FinePix40i"));
        assertEquals("FinePix 6800", NameCanonicalizer.canonicalCameraModel("FinePix6800 ZOOM"));
        assertEquals("FinePix S1 Pro", NameCanonicalizer.canonicalCameraModel("FinePixS1Pro"));
        assertEquals("FinePix S2 Pro", NameCanonicalizer.canonicalCameraModel("FinePixS2Pro"));
        assertEquals("PhotoSmart C812", NameCanonicalizer.canonicalCameraModel("HP PhotoSmart C812 (V09.33)"));
        assertEquals("DC 240", NameCanonicalizer.canonicalCameraModel("KODAK DC240 ZOOM DIGITAL CAMERA"));
        assertEquals("DC 3400", NameCanonicalizer.canonicalCameraModel("KODAK DC3400 ZOOM DIGITAL CAMERA"));
        assertEquals("DX 4900", NameCanonicalizer.canonicalCameraModel("KODAK DX4900 ZOOM DIGITAL CAMERA"));
//        assertEquals("CLAS HR 200", NameCanonicalizer.canonicalCameraModel("Kodak CLAS Digital Film Scanner / HR200"));
        assertEquals("Q-M100", NameCanonicalizer.canonicalCameraModel("Konica Digital Camera Q-M100"));
//        assertEquals("Mavica", NameCanonicalizer.canonicalCameraModel("MAVICA"));
        assertEquals("Maxxum 7D", NameCanonicalizer.canonicalCameraModel("MAXXUM 7D"));
        assertEquals("MX 1200", NameCanonicalizer.canonicalCameraModel("MX-1200"));
        assertEquals("MX 1700", NameCanonicalizer.canonicalCameraModel("MX-1700ZOOM"));
        assertEquals("MX 2900", NameCanonicalizer.canonicalCameraModel("MX-2900ZOOM"));
        assertEquals("D1X", NameCanonicalizer.canonicalCameraModel("Mod NIKON D1X"));
        assertEquals("D1", NameCanonicalizer.canonicalCameraModel("NIKON D1"));
        assertEquals("D100", NameCanonicalizer.canonicalCameraModel("NIKON D100"));
        assertEquals("D100", NameCanonicalizer.canonicalCameraModel("Nikon D100"));
        assertEquals("D1H", NameCanonicalizer.canonicalCameraModel("NIKON D1H"));
        assertEquals("D1X", NameCanonicalizer.canonicalCameraModel("NIKON D1X"));
        assertEquals("D200", NameCanonicalizer.canonicalCameraModel("NIKON D200"));
        assertEquals("D2H", NameCanonicalizer.canonicalCameraModel("NIKON D2H"));
        assertEquals("D2Hs", NameCanonicalizer.canonicalCameraModel("NIKON D2Hs"));
        assertEquals("D2X", NameCanonicalizer.canonicalCameraModel("NIKON D2X"));
        assertEquals("D50", NameCanonicalizer.canonicalCameraModel("NIKON D50"));
        assertEquals("D70", NameCanonicalizer.canonicalCameraModel("NIKON D70"));
        assertEquals("D70s", NameCanonicalizer.canonicalCameraModel("NIKON D70s"));
        assertEquals("Coolscan 9000 ED", NameCanonicalizer.canonicalCameraModel("Nikon SUPER COOLSCAN 9000 ED"));
        assertEquals("*ist D", NameCanonicalizer.canonicalCameraModel("PENTAX *ist D"));
        assertEquals("Optio 330", NameCanonicalizer.canonicalCameraModel("PENTAX Optio 330"));
        assertEquals("Optio 430", NameCanonicalizer.canonicalCameraModel("PENTAX Optio 430"));
        
        assertEquals("3000Z", NameCanonicalizer.canonicalCameraModel("PhotoPC 3000Z"));
        assertEquals("QV 3000EX", NameCanonicalizer.canonicalCameraModel("QV-3000EX"));
        assertEquals("R8 Digital Back", NameCanonicalizer.canonicalCameraModel("R8 - Digital Back DMR"));
        assertEquals("R9 Digital Back", NameCanonicalizer.canonicalCameraModel("R9 - Digital Back DMR"));
        assertEquals("RDC 5300", NameCanonicalizer.canonicalCameraModel("RDC-5300"));
        assertEquals("SR6", NameCanonicalizer.canonicalCameraModel("SR6"));
        assertEquals("SR662", NameCanonicalizer.canonicalCameraModel("SR662"));
        assertEquals("SX113", NameCanonicalizer.canonicalCameraModel("SX113"));
        assertEquals("SX330Z", NameCanonicalizer.canonicalCameraModel("SX330Z"));
      }

    @Test
    public void testCanonicalMaker() 
      {
        assertEquals("Olympus", NameCanonicalizer.canonicalMaker("OLYMPUS IMAGING CORP."));
        assertEquals("Asahi", NameCanonicalizer.canonicalMaker("Asahi Optical Co.,Ltd"));
        assertEquals("Casio", NameCanonicalizer.canonicalMaker("CASIO COMPUTER CO.,LTD."));
        assertEquals("Casio", NameCanonicalizer.canonicalMaker("CASIO"));
        assertEquals("Canon", NameCanonicalizer.canonicalMaker("Canon"));
        assertEquals("Canon", NameCanonicalizer.canonicalMaker("CANON"));
        assertEquals("Kodak", NameCanonicalizer.canonicalMaker("EASTMAN KODAK COMPANY"));
        assertEquals("Kodak", NameCanonicalizer.canonicalMaker("Eastman Kodak Company"));
        assertEquals("Fujifilm", NameCanonicalizer.canonicalMaker("FUJIFILM"));
        assertEquals("Hewlett Packard", NameCanonicalizer.canonicalMaker("Hewlett-Packard"));
        assertEquals("Konica", NameCanonicalizer.canonicalMaker("KONICA CORPORATION"));
        assertEquals("Konica Minolta", NameCanonicalizer.canonicalMaker("KONICA MINOLTA"));
        assertEquals("Kyocera", NameCanonicalizer.canonicalMaker("KYOCERA"));
        assertEquals("Konica Minolta", NameCanonicalizer.canonicalMaker("Konica Minolta Camera, Inc."));
        assertEquals("Leica", NameCanonicalizer.canonicalMaker("Leica Camera AG"));
        assertEquals("Minolta", NameCanonicalizer.canonicalMaker("MINOLTA CO.,LTD"));
        assertEquals("Minolta", NameCanonicalizer.canonicalMaker("Minolta Co., Ltd."));
        assertEquals("Nikon", NameCanonicalizer.canonicalMaker("NIKON CORPORATION"));
        assertEquals("Nikon", NameCanonicalizer.canonicalMaker("NIKON"));
        assertEquals("Nikon", NameCanonicalizer.canonicalMaker("Nikon"));
        assertEquals("Olympus", NameCanonicalizer.canonicalMaker("OLYMPUS CORPORATION"));
        assertEquals("Olympus", NameCanonicalizer.canonicalMaker("OLYMPUS OPTICAL CO.,LTD"));
        assertEquals("Pentax", NameCanonicalizer.canonicalMaker("PENTAX Corporation"));
        assertEquals("Ricoh", NameCanonicalizer.canonicalMaker("RICOH"));
        assertEquals("Sanyo", NameCanonicalizer.canonicalMaker("SANYO Electric Co.,Ltd."));
        assertEquals("Seiko Epson", NameCanonicalizer.canonicalMaker("SEIKO EPSON CORP."));
        assertEquals("Sony", NameCanonicalizer.canonicalMaker("SONY"));
        assertEquals("Traveler", NameCanonicalizer.canonicalMaker("TRAVELER OPTICAL CO,LTD"));
        
      }
  }
